Status: Resolved Priority: Must have
Updated: 2013-04-12 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 2.0
Subject: $roleRepository not initialized correctly
Description

The $roleRepository is set "manually" in initializeRolesFromPolicy() - only if caches are outdated. But the $roleRepository is needed
even if the caches are up to date, so this breaks (one way to see the effect is to try and create a Neos user on the CLI).

Associated revisions
Revision ae01fce3 - 2013-04-11 11:20 - Karsten Dambekalns

[BUGFIX] Initialize $roleRepository correctly

The $roleRepository is set "manually" in initializeRolesFromPolicy() -
only if caches are outdated. But the $roleRepository is needed even if
the caches are up to date, so this breaks.

This change moves the initialization outside the check.

Change-Id: Ia7d0261a315a362d52063ee4dbfe04053bde5679
Fixes: #47115
Releases: master, 2.0

Revision f2f334d5 - 2013-04-12 13:56 - Karsten Dambekalns

[BUGFIX] Initialize $roleRepository correctly

The $roleRepository is set "manually" in initializeRolesFromPolicy() -
only if caches are outdated. But the $roleRepository is needed even if
the caches are up to date, so this breaks.

This change moves the initialization outside the check.

Change-Id: Ia7d0261a315a362d52063ee4dbfe04053bde5679
Fixes: #47115
Releases: master, 2.0

History
#1 - 2013-04-11 11:20 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19792

#2 - 2013-04-11 11:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ae01fce3d26b85934fcec897e0783bc0007e7f88.

#3 - 2013-04-12 13:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19827

#4 - 2013-04-12 14:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:f2f334d51d64b9c81fff8c566eb23a9cf2b76d45.

2015-08-04 2/2

https://review.typo3.org/19792
https://review.typo3.org/19827

